Patch: Replace use of guile %module-public-interface in Lilypond (Rietveld issue 1160044)

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Patch: Replace use of guile %module-public-interface in Lilypond (Rietveld issue 1160044)

Ian Hulin
I've incorporated the suggestion from guile development to replace Lilypond's call to %module-public-interface, which they are deprecating.
Guile recommend to replace it with module_export_all!, which they will provide in their code, but provided a recommendation to include in code for Guile 1.8.7 forward compatibility.

The patch incorporating this is available for review on http://codereveiew.appspot.com/1160044.

Cheers.

Ian Hulin